Skip to main content
POST
/
api
/
v1
/
auth
/
privy
Auth Privy
curl --request POST \
  --url https://api.hevn.finance/api/v1/auth/privy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signature": "<string>",
  "email": "<string>",
  "address": "<string>",
  "nonce": 123
}
'
{
  "refreshToken": "<string>",
  "userId": "<string>",
  "email": "<string>",
  "privyAddress": "<string>",
  "isNewUser": false,
  "baseSmartWallet": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

device-id
string | null
device-name
string | null
x-api-key
string | null

Body

application/json

Request to link a Privy wallet.

signature
string
required
email
string
required
address
string
required
nonce
integer
required

Response

Successful Response

Response after Privy wallet auth.

refreshToken
string
required
userId
string
required
email
string
required
privyAddress
string
required
isNewUser
boolean
default:false
baseSmartWallet
string | null